%define rev svn2150
Name: megaglest
Version: 3.5.0
Release: alt1.%rev
Summary: Glest is a project for making a free 3d real-time customizable strategy game
License: GPL
Group: Games/Strategy
Url: http://megaglest.sourceforge.net
Packager: Andrew Clark <andyc@altlinux.org>

Source: http://sourceforge.net/projects/%name/files/megaglest_3.2.3/%name-source-%version.tar.bz2
Source2: %name.sh
Source3: %name.png
Source4: %name.desktop

#Patch1: glest-3.2.2-gentoo.patch

# Automatically added by buildreq on Wed Apr 13 2011
BuildRequires: cmake gcc-c++ libSDL-devel libXau-devel libXdmcp-devel libcurl-devel libidn-devel libjpeg-devel liblua5-devel libopenal-devel libpng-devel libssh2-devel libssl-devel libvorbis-devel libwxGTK-devel libxerces-c-devel libxml2-devel subversion

Requires: %name-data = %version 

%description
Glest is a project for making a free 3d real-time customizable
strategy game. Current version is fully playable, includes
single player game against CPU controlled players, two factions
with their corresponding tech trees, units, buildings and some maps.

%prep
%setup  -n %name-source-%version
#patch1 -p1

%build
cmake -D CMAKE_CXX_FLAGS="%optflags" -D CMAKE_C_FLAGS="%optflags" -D WANT_SVN_STAMP="NO" CMakeLists.txt
%make_build


%install
# let's create directory structure...
mkdir -p %buildroot{%_bindir,%_niconsdir,%_desktopdir}

# and install what we need where we need it to be...
install -pm755 mk/linux/%name.bin %buildroot%_bindir/%name-bin
install -pm755 %SOURCE2 %buildroot%_bindir/%name

install -pm 644 %SOURCE3 %buildroot%_niconsdir/%name.png
install -pm 644 %SOURCE4 %buildroot%_desktopdir/%name.desktop

%files
%doc docs/
%_bindir/*
%_niconsdir/%name.png
%_desktopdir/%name.desktop

%changelog
* Sun Apr 24 2011 Andrew Clark <andyc@altlinux.org> 3.5.0-alt1.svn2150
- version update to 3.5.0-alt1.svn2150

* Wed Apr 13 2011 Andrew Clark <andyc@altlinux.org> 3.4.0-alt2.svn1738
- buildreq's added

* Sat Feb 12 2011 Andrew Clark <andyc@altlinux.org> 3.4.0-alt1.svn1738
- version update to 3.4.0-alt1.svn1738

* Sun Oct 31 2010 Andrew Clark <andyc@altlinux.org> 3.3.7.2-alt1.svn1202
- version update to 3.3.7.2-alt1.svn1202

* Wed Jun 30 2010  Andrew Clark <andyc@altlinux.org> 3.3.5-alt1.svn588
- version update to 3.3.5-alt1.svn588
- libxerces-c28-devel changed to libxerces-c-devel (closes #23631)

* Sat Jun 12 2010 Andrew Clark <andyc@altlinux.org> 3.3.4-alt2.svn477
- spec cleanup

* Tue Jun 8 2010 Andrew Clark <andyc@altlinux.org> 3.3.4-alt1.svn477
- version update to 3.3.4-alt1.svn477

* Fri Mar 19 2010 Andrew Clark <andyc@altlinux.org> 3.3.1-alt1.svn110
- initial build for ALT.

